Bug 1295418 - Close button on a work-in-progress dialog does not work
Close button on a work-in-progress dialog does not work
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
23
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 07:37 EST by Martin Kolman
Modified: 2016-03-17 10:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-17 10:32:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kolman 2016-01-04 07:37:55 EST
Description of problem:
The "x" close button in the upper left corner of a work in progress dialog can be clicked but does nothing.


Version-Release number of selected component (if applicable):
1.3.2-1

How reproducible:
always

Steps to Reproduce:
1. select a snapshot
2. delete it
3. on the "deleting snapshot" dialog try to click the close button

The same is most probably true for other long running actions, like creating a new snapshot.

Actual results:
Nothing happens.

Expected results:
The close button should probably not be shown if the work-in-progress dialog can't be closed.

But it stays there, something should happen if it is clicked - the operation should be either canceled/reverted or something like a "Do you really want to cancel this ?" dialog should show up.
Comment 1 Cole Robinson 2016-01-10 18:05:14 EST
Thanks for the report. Only some operations are cancellable, so for the non-cancellable ones I've just hidden the X button

commit 9747cd5473a2036d19fd6da89ebf7c0b723c4f57
Author: Cole Robinson <crobinso@redhat.com>
Date:   Sun Jan 10 18:03:49 2016 -0500

    asyncjob: Only show X button if dialog is cancellable (bz 1295418)
Comment 2 Cole Robinson 2016-03-17 10:32:19 EDT
Just closing this as upstream, it will be pulled in whenever there's a new release. Not that important to backport

Note You need to log in before you can comment on or make changes to this bug.